package com.iamberry.app.api.util;

import com.iamberry.wechat.tools.MD5Util;

/**
 * 签名工具类
 * @company	深圳爱贝源科技有限公司
 * @website www.iamberry.com
 * @author 	献
 * @tel		18271840547
 * @date	2016年12月13日
 */
public class SignatureUtil {

	/**
	 * 通过MD5对数据进行签名
	 * @param data
	 * @return
	 * @author 献
	 * @Time   2016年12月13日
	 */
	public static String signature(String... data) {
		StringBuilder builder = new StringBuilder();
		for (String string : data) {
			builder.append(string);
		}
		return MD5Util.MD5Encode(builder.toString(), "UTF-8");
	}
	
	/**
	 * 校验签名
	 * @param signature
	 * @param data
	 * @return	false:表示签名失败；true:签名认证成功
	 * @author 献
	 * @Time   2016年12月13日
	 */
	public static boolean verifySignature(String signature, String... data) {
		StringBuilder builder = new StringBuilder();
		for (String string : data) {
			builder.append(string);
		}
		return MD5Util.MD5Encode(builder.toString(), "UTF-8").equals(signature);
	}
}
